PhoneGap 3.1 Local Build WP8

Problem

I'm trying to play with new phonegap-cli main focus is to setup wp8 platform and when running command:

  phonegap build wp8

It tries to use PhoneGap Build, which I presume happens because it hasn't found my installed SDK in any path.

I tried to test my thesis and ran this command:

  phonegap local build wp8

And it returns this error: enter image description here

I have .NET Framework v4.0 installed, so this path exists:

C:\Windows\Microsoft.NET\Framework\v4.0.30319

So the only thing I think happens is that phonegap can't find where SDK is installed, so I have been searching through the documentation and I couldn't find anything regarding which Environment Variable PhoneGap checks.

So I would really appreciate any kind of help here.

Problem courtesy of: TheCodeDestroyer

Solution

Please make sure that you have added the framework path to the system PATH variable.

In my case it was the above reason and also related to Ant installed and configuration.

Solution courtesy of: Purus

Discussion

Alternatively you can use phonegap's online build service:

https://build.phonegap.com/

It works like a charm and is free for 1 private project.

Discussion courtesy of: Mads Buch

This recipe can be found in it's original form on Stack Over Flow.